Name: icinga-x509
Version: 1.3.0
Release: 1
Summary: Icinga Certificate Monitoring
Group: Applications/System

License: GPL-2.0-only

URL: https://icinga.com

Source0: icinga-x509-1.3.0.tgz
Source1: icinga-x509-rpm.tgz

Requires: icinga-x509-daemon = 1.3.0-1
Requires: icinga-x509-web = 1.3.0-1

BuildArch: noarch

%description
Keeps track of certificates as they are deployed in a network environment.

%package php
Summary: Icinga Certificate Monitoring PHP files
Requires: icingaweb2-common >= 2.10.5
Requires: icinga-php-library >= 0.13.0
Requires: icinga-php-thirdparty >= 0.12.0

Requires: php-gmp
Requires: php-pcntl

%description php
PHP files for Icinga Certificate Monitoring.

%package daemon
Summary: Icinga Certificate Monitoring daemon files
BuildRequires: systemd-rpm-macros
Requires: icinga-x509-php = 1.3.0-1
Requires: icingacli >= 2.10.5

%description daemon
Daemon files for Icinga Certificate Monitoring.

%package web
Summary: Icinga Certificate Monitoring web files
Requires: icingaweb2 >= 2.10.5
Requires: icinga-x509-php = 1.3.0-1

%description web
Web files for Icinga Certificate Monitoring.

%prep
%autosetup
install -d sources
cd sources
tar -xzf %_topdir/SOURCES/icinga-x509-rpm.tgz
cd -

%build

%install
install -d %_topdir/BUILDROOT/icinga-x509-1.3.0-1.x86_64/usr/share/icingaweb2/modules/x509
find . -not -path . -not -path ./sources -maxdepth 1 -exec cp -pr "{}" %_topdir/BUILDROOT/icinga-x509-1.3.0-1.x86_64/usr/share/icingaweb2/modules/x509 \;
install -Dpm 0644 sources/icinga-x509.service %_topdir/BUILDROOT/icinga-x509-1.3.0-1.x86_64/usr/lib/systemd/system/icinga-x509.service

%files

%files php
%doc README.md
%docdir /usr/share/icingaweb2/modules/x509/doc
%license LICENSE
/usr/share/icingaweb2/modules/x509

%post php
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/x509 /etc/icingaweb2/enabledModules/x509
fi

%preun php
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/x509
fi

%files daemon
/usr/lib/systemd/system/icinga-x509.service

%post daemon
:
if [ -x /usr/bin/systemctl ]; then
test -n "$FIRST_ARG" || FIRST_ARG="$1"
[ -d /var/lib/systemd/migrated ] || mkdir -p /var/lib/systemd/migrated || :

if [ "$YAST_IS_RUNNING" != "instsys" ]; then
/usr/bin/systemctl daemon-reload || :
fi
for service in icinga-x509.service ; do
sysv_service=${service%.*}

if [ -e /run/systemd/rpm/needs-preset/$service ]; then
/usr/bin/systemctl preset $service || :
rm "/run/systemd/rpm/needs-preset/$service" || :

elif [ -e /run/systemd/rpm/needs-sysv-convert/$service ]; then
/usr/sbin/systemd-sysv-convert --apply $sysv_service || :
rm "/run/systemd/rpm/needs-sysv-convert/$service" || :
touch /var/lib/systemd/migrated/$sysv_service || :
fi
done
fi

%preun daemon
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"
if [ "$FIRST_ARG" -eq 0 -a -x /usr/bin/systemctl ]; then
/usr/bin/systemctl --no-reload disable icinga-x509.service || :
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_STOP_ON_REMOVAL" && . /etc/sysconfig/services
test "$DISABLE_STOP_ON_REMOVAL" = yes -o \
"$DISABLE_STOP_ON_REMOVAL" = 1 && exit 0
/usr/bin/systemctl stop icinga-x509.service
) || :
fi

%postun daemon
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"

if [ $1 -eq 0 ]; then
for service in icinga-x509.service ; do
sysv_service="${service%.*}"
rm -f "/var/lib/systemd/migrated/$sysv_service" || :
done
fi
if [ -x /usr/bin/systemctl ]; then
/usr/bin/systemctl daemon-reload || :
fi

if [ "$FIRST_ARG" -ge 1 ]; then
if [ -x /usr/bin/systemctl ]; then
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_RESTART_ON_UPDATE" && . /etc/sysconfig/services
test "$DISABLE_RESTART_ON_UPDATE" = yes -o \
"$DISABLE_RESTART_ON_UPDATE" = 1 && exit 0
/usr/bin/systemctl try-restart icinga-x509.service
) || :
fi
fi

%files web

%changelog
* Thu Oct 19 2023 Icinga GmbH <info@icinga.com> - 1.3.0-1$RPM_DIST
- Version 1.3.0-1

